Subject: Re: set_rtc_time() cleanup / normalization

From: Gabriel Paubert <[email-masked]>
Date: Tue, 13 May 2003 12:21:45 +0200

On Tue, May 13, 2003 at 10:53:28AM +0200, Geert Uytterhoeven wrote:
>
> On Tue, 13 May 2003, Gabriel Paubert wrote:
> > On Tue, May 13, 2003 at 09:52:22AM +0200, Geert Uytterhoeven wrote:
> > > On Mon, 12 May 2003, Wolfgang Denk wrote:
> > > > I would like to find out if there is some consensus about the use  of
> > > > set_rtc_time() in the timer interrupt handler.
> > >
> > > On m68k, we removed that part because it confused NTP. Richard Zidlicky can
> > > probably tell more about that.
> >
> > I certainly would like to know the details of this. I believe it may
> > be fixing the symptom rather than the cause (an NTP bug).
>
> As far as I remember, NTP estimates the error of your RTC and uses that
> estimation to correct your time if no NTP server is available, but the
> estimation step fails if the kernel messes with the RTC behind NTP's back.

In this case NTP should never clear the STA_UNSYNC flag shen it
synchronized to the local clock (driver 127.127.0.0 IIRC) . The state
change from 0x41 to 0x01 should never happen for the kernel side of
the status flags, this would avoid creating the loop.

	Regards,
	Gabriel

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/